import { createApp } from 'vue'

import App from './App.vue'
import router from './router';

import pinia from '@/stores/index';
//  引入element
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import 'element-plus/theme-chalk/dark/css-vars.css';


import '@/assets/css/index.scss'

import { registerEcharts } from "@/plugins/echarts"

const app = createApp(App)
registerEcharts(app)
app.use(router).use(pinia).use(ElementPlus).mount('#app');
